#include "top.hpp"
#include "applic.hpp"

TopLevel::TopLevel()

{
	// load the graphics handler
	GraphicsHandler = new Graphics;

	// initialize and display the basic screen area
	CurrentScreen = new Screen;
	CurrentScreen->DisplayTemplate();

	// create the application-specific objects
	CreateApplication();

	// load the event handler
	EventsHandler = new Events;
	EventsHandler->ShowMouseCursor();

	// wait for operator commands and process them
	while (1) {
	  EventsHandler->ProcessMouseActions();
	  EventsHandler->ProcessUserKeys();
	  CurrentScreen->Update();
	  RunApplication();
	}
}
